Create user
Create user
POST
/v2/usersFeatures
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input3
Sent from your browser straight to the API — never to Docsbook, never stored.
Email address of the new user
Full name of the new user
Role to assign to the new user
Output4
User's email address
Unique identifier for the user
User's full name
Detailed information about a user's role
Responses
200User
Example input
curl -X POST 'https://api.axiom.co/v2/users' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"email": "jane.doe@example.com",
"name": "Jane Doe",
"role": "member"
}'Example output
{
"email": "john.doe@example.com",
"id": "usr_123456789",
"name": "John Doe",
"role": {
"id": "role_123456789",
"name": "Organization Admin"
}
}